

ball = {}
ball.xVel = 0
ball.yVel = 0
ball.count = 3
ball.VelLim = 350
ball.NegVelLim = -1280

function ball.spawn(x,y)
	table.insert(ball, {width = 20,
	height = 20,
	x = (gwidth/2)-20,
	y = -20,
	dir = "none"})
end

function ball.draw()
	for i,v in ipairs(ball) do
		love.graphics.setColor(255,255,255)
		love.graphics.rectangle("fill",v.x,v.y,v.width,v.height)
	end
end

function ball.update(dt)
	for i,v in ipairs(ball) do
		v.x = v.x + (ball.xVel * dt)
		v.y = v.y + (ball.yVel * dt)
		ball.yVel = ball.yVel + (gravity * dt)
		
		if v.y >= 720 then
			table.remove(ball,i)
			ball.count = ball.count - 1
			ball.xVel = 0
			ball.yVel = 0
		end
		
		if ball.yVel > ball.VelLim then
			ball.yVel = ball.VelLim
		end
		if ball.xVel > ball.VelLim then
			ball.xVel = ball.VelLim
		end
		if ball.xVel < ball.NegVelLim then
			ball.xVel = ball.NegVelLim
		end
		if ball.yVel < ball.NegVelLim then
			ball.yVel = ball.NegVelLim
		end
	end
end